using System;
using System.Collections.Generic;
using System.Windows.Forms;
using LinqToTwitter;

namespace Azyobuzi.Twirunrun
{
    public interface ITwirunrunMainForm
    {
        TwitterContext TwitterContext { get; }
        void StatusChange(string status);
        UpdateStatusPanel UpdateStatusPanel { get; }
        void ShowDetailStatus(StatusInfo status);
        IEnumerable<TimelineTabPage> GetTabPages();
        void RefreshTimelines(IEnumerable<TimelineTabPage> tabs, bool first);
        void ShowBalloon(int timeout, string tipTitle, string tipText, ToolTipIcon tipIcon);
        void ShowError(TimelineTabPage tabPage, Exception exception);
        void NotifyNewItems(IEnumerable<StatusInfo> newItems, string title);
        void SetApiLimit();
    }
}
